Skip to main content
POST
/
o
/
{organisation_id}
/
automations
/
{automation_id}
/
run
Run an Automation
curl --request POST \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/automations/{automation_id}/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>",
  "maxSteps": 123,
  "webhookUrl": "<string>"
}
'
{
  "runId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required
automation_id
string<ulid>
required

Body

application/json
prompt
string
required
maxSteps
integer

The maximum number of steps the agent can take.

webhookUrl
string<uri>

The webhook URL to send the run results to.

Response

202 - application/json

Accepted

runId
string<ulid>
required